For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
      • GETRetrieves all project templates.
      • POSTCreates a new project template.
      • GETRetrieves a specific project template.
      • PUTUpdates an existing project template.
      • DELDeletes a project template.
      • GETRetrieves all project statuses of a project template.
      • POSTAdds a project status to a project template.
      • GETRetrieves the task bundle associated with a project template.
      • GETReturns all task statuses of the project template with the specified id.
      • POSTCreates a new task status for the specified project template.
      • GETReturns the task status of the project template with the specified id.
      • PUTUpdates a task status for the specified project template.
      • DELDeletes the task status of the project template with the specified id.
      • POSTUpdates the order of a project status within a project template.
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceProject Templates

Updates the order of a project status within a project template.

POST
https://api.awork.com/api/v1/projecttemplates/:projectTemplateId/updateprojectstatusorder
POST
/api/v1/projecttemplates/:projectTemplateId/updateprojectstatusorder
$curl -X POST https://api.awork.com/api/v1/projecttemplates/projectTemplateId/updateprojectstatusorder \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "projectStatusId": "123e4567-e89b-12d3-a456-426614174000"
>}'
<Check title="Required Permissions" icon="key">The user must be an admin or have `project-manage-config:write` permissions.</Check>
Was this page helpful?
Previous

Adds a task bundle to a project.

Next
Built with
Required Permissions
The user must be an admin or have project-manage-config:write permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectTemplateIdstringRequiredformat: "uuid"
The id of the project template to update the status order for.

Request

The model to update the project template status order.
projectStatusIdstringRequiredformat: "uuid"
The id of the project status.
orderinteger or nullOptional
The order value which determines the position of the project status in the flow of the project type. Only accepts 0 and positive values. For independent statuses without successor and predecessor this value is set to null.

Response

No Content

Errors

400
Bad Request Error
404
Not Found Error